Help save net neutrality! Learn more.
Close

#256 Database upgrade from 1.4.5 to 1.4.9: doesn't complete due to syntax error

Minor
closed
None
1
2015-03-06
2012-12-13
Anonymous
No

Database upgrade from 1.4.5 to 1.4.9 doesn't complete due to syntax error in upgrade/24/post.inc on line 62:

$sql = "UPDATE $tbl_entry SET saved_ts=timestamp"l

should of course be without the l at the end

Greets, and thanks for a great product!

Discussion

  • Campbell Morrison

    There are in fact a few more errors in the file which have been corrected in the trunk. A copy of the revised file is attached here. (If you are upgrading from an earlier version you will also find similar problems in upgrade/17/post.inc)

    Campbell

     
  • Campbell Morrison

    And here is the revised file for upgrade/17/post.inc

    Campbell

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2013-04-07

    I just donwnloaded the latest version 1.4.9 and this is still present. I fixed the file too. Attached. There was also a problem in step 24. I attach a fix for that too.

     
  • Campbell Morrison

    Yes, the problem is in the 1.4.9 release so if you download the 1.4.9 release it will be present. The fix is in the trunk since 1.4.9 and will appear in the next release.

    Campbell

     
  • John Beranek

    John Beranek - 2015-03-06
    • status: open --> closed
    • assigned_to: John Beranek
     
  • John Beranek

    John Beranek - 2015-03-06

    Fixed in a released version of MRBS.

     


Anonymous

Cancel  Add attachments